# WARNING: Please don't edit this file. It was generated by Python/WinRT v3.2.0

import datetime
import sys
import types
import typing
import uuid as _uuid
from builtins import property as _property
from abc import abstractmethod

import winrt._winrt
import winrt.system
import winrt.windows.foundation as windows_foundation
import winrt.windows.foundation.collections as windows_foundation_collections
import winrt.windows.system as windows_system
import winrt.windows.ui as windows_ui
import winrt.windows.ui.composition as windows_ui_composition
import winrt.windows.ui.input as windows_ui_input
import winrt.windows.ui.popups as windows_ui_popups

from winrt.windows.ui.core import AppViewBackButtonVisibility, CoreAcceleratorKeyEventType, CoreCursorType, CoreDispatcherPriority, CoreIndependentInputFilters, CoreInputDeviceTypes, CoreProcessEventsOption, CoreProximityEvaluationScore, CoreVirtualKeyStates, CoreWindowActivationMode, CoreWindowActivationState, CoreWindowFlowDirection
from winrt.windows.ui.core import DispatchedHandler, IdleDispatchedHandler

Self = typing.TypeVar('Self')

@typing.final
class CorePhysicalKeyStatus:
    @_property
    def repeat_count(self) -> winrt.system.UInt32: ...
    @_property
    def scan_code(self) -> winrt.system.UInt32: ...
    @_property
    def is_extended_key(self) -> bool: ...
    @_property
    def is_menu_key_down(self) -> bool: ...
    @_property
    def was_key_down(self) -> bool: ...
    @_property
    def is_key_released(self) -> bool: ...
    def __new__(cls, repeat_count: winrt.system.UInt32 = 0, scan_code: winrt.system.UInt32 = 0, is_extended_key: bool = False, is_menu_key_down: bool = False, was_key_down: bool = False, is_key_released: bool = False) -> CorePhysicalKeyStatus: ...
    def __replace__(self, /, **changes: typing.Any) -> CorePhysicalKeyStatus: ...
    def unpack(self) -> typing.Tuple[winrt.system.UInt32, winrt.system.UInt32, bool, bool, bool, bool]: ...

@typing.final
class CoreProximityEvaluation:
    @_property
    def score(self) -> winrt.system.Int32: ...
    @_property
    def adjusted_point(self) -> windows_foundation.Point: ...
    def __new__(cls, score: winrt.system.Int32 = 0, adjusted_point: windows_foundation.Point = windows_foundation.Point()) -> CoreProximityEvaluation: ...
    def __replace__(self, /, **changes: typing.Any) -> CoreProximityEvaluation: ...
    def unpack(self) -> typing.Tuple[winrt.system.Int32, typing.Tuple[winrt.system.Single, winrt.system.Single]]: ...

@typing.final
class AcceleratorKeyEventArgs(winrt.system.Object, ICoreWindowEventArgs):
    # Windows.UI.Core.CoreAcceleratorKeyEventType Windows.UI.Core.AcceleratorKeyEventArgs::get_EventType()
    @_property
    def event_type(self) -> CoreAcceleratorKeyEventType: ...
    # Windows.UI.Core.CorePhysicalKeyStatus Windows.UI.Core.AcceleratorKeyEventArgs::get_KeyStatus()
    @_property
    def key_status(self) -> CorePhysicalKeyStatus: ...
    # Windows.System.VirtualKey Windows.UI.Core.AcceleratorKeyEventArgs::get_VirtualKey()
    @_property
    def virtual_key(self) -> windows_system.VirtualKey: ...
    # System.String Windows.UI.Core.AcceleratorKeyEventArgs::get_DeviceId()
    @_property
    def device_id(self) -> str: ...
    # System.Boolean Windows.UI.Core.AcceleratorKeyEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.AcceleratorKeyEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...

@typing.final
class AutomationProviderRequestedEventArgs(winrt.system.Object, ICoreWindowEventArgs):
    # System.Object Windows.UI.Core.AutomationProviderRequestedEventArgs::get_AutomationProvider()
    @_property
    def automation_provider(self) -> winrt.system.Object: ...
    # System.Void Windows.UI.Core.AutomationProviderRequestedEventArgs::put_AutomationProvider(System.Object)
    @automation_provider.setter
    def automation_provider(self, value: winrt.system.Object) -> None: ...
    # System.Boolean Windows.UI.Core.AutomationProviderRequestedEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.AutomationProviderRequestedEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...

@typing.final
class BackRequestedEventArgs(winrt.system.Object):
    # System.Boolean Windows.UI.Core.BackRequestedEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.BackRequestedEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...

@typing.final
class CharacterReceivedEventArgs(winrt.system.Object, ICoreWindowEventArgs):
    # System.UInt32 Windows.UI.Core.CharacterReceivedEventArgs::get_KeyCode()
    @_property
    def key_code(self) -> winrt.system.UInt32: ...
    # Windows.UI.Core.CorePhysicalKeyStatus Windows.UI.Core.CharacterReceivedEventArgs::get_KeyStatus()
    @_property
    def key_status(self) -> CorePhysicalKeyStatus: ...
    # System.Boolean Windows.UI.Core.CharacterReceivedEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.CharacterReceivedEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...

@typing.final
class ClosestInteractiveBoundsRequestedEventArgs(winrt.system.Object):
    # Windows.Foundation.Rect Windows.UI.Core.ClosestInteractiveBoundsRequestedEventArgs::get_ClosestInteractiveBounds()
    @_property
    def closest_interactive_bounds(self) -> windows_foundation.Rect: ...
    # System.Void Windows.UI.Core.ClosestInteractiveBoundsRequestedEventArgs::put_ClosestInteractiveBounds(Windows.Foundation.Rect)
    @closest_interactive_bounds.setter
    def closest_interactive_bounds(self, value: typing.Union[windows_foundation.Rect, typing.Tuple[winrt.system.Single, winrt.system.Single, winrt.system.Single, winrt.system.Single]]) -> None: ...
    # Windows.Foundation.Point Windows.UI.Core.ClosestInteractiveBoundsRequestedEventArgs::get_PointerPosition()
    @_property
    def pointer_position(self) -> windows_foundation.Point: ...
    # Windows.Foundation.Rect Windows.UI.Core.ClosestInteractiveBoundsRequestedEventArgs::get_SearchBounds()
    @_property
    def search_bounds(self) -> windows_foundation.Rect: ...

@typing.final
class CoreAcceleratorKeys(winrt.system.Object, ICoreAcceleratorKeys):
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreAcceleratorKeys::add_AcceleratorKeyActivated(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreDispatcher,Windows.UI.Core.AcceleratorKeyEventArgs>)
    def add_accelerator_key_activated(self, handler: windows_foundation.TypedEventHandler[CoreDispatcher, AcceleratorKeyEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreAcceleratorKeys::remove_AcceleratorKeyActivated(Windows.Foundation.EventRegistrationToken)
    def remove_accelerator_key_activated(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...

@typing.final
class CoreComponentInputSource(winrt.system.Object, ICorePointerInputSource2, ICorePointerInputSource, ICoreInputSourceBase):
    # System.String Windows.UI.Core.CoreComponentInputSource::GetCurrentKeyEventDeviceId()
    def get_current_key_event_device_id(self) -> str: ...
    # Windows.UI.Core.CoreVirtualKeyStates Windows.UI.Core.CoreComponentInputSource::GetCurrentKeyState(Windows.System.VirtualKey)
    def get_current_key_state(self, virtual_key: windows_system.VirtualKey, /) -> CoreVirtualKeyStates: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::ReleasePointerCapture()
    def release_pointer_capture(self) -> None: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::SetPointerCapture()
    def set_pointer_capture(self) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_InputEnabled(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.InputEnabledEventArgs>)
    def add_input_enabled(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, InputEnabledEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_InputEnabled(Windows.Foundation.EventRegistrationToken)
    def remove_input_enabled(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_PointerCaptureLost(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_capture_lost(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_PointerCaptureLost(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_capture_lost(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_PointerEntered(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_entered(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_PointerEntered(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_entered(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_PointerExited(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_exited(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_PointerExited(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_exited(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_PointerMoved(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_moved(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_PointerMoved(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_moved(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_PointerPressed(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_pressed(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_PointerPressed(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_pressed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_PointerReleased(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_released(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_PointerReleased(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_released(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_PointerWheelChanged(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_wheel_changed(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_PointerWheelChanged(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_wheel_changed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_CharacterReceived(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.CharacterReceivedEventArgs>)
    def add_character_received(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, CharacterReceivedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_CharacterReceived(Windows.Foundation.EventRegistrationToken)
    def remove_character_received(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_KeyDown(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.KeyEventArgs>)
    def add_key_down(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, KeyEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_KeyDown(Windows.Foundation.EventRegistrationToken)
    def remove_key_down(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_KeyUp(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.KeyEventArgs>)
    def add_key_up(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, KeyEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_KeyUp(Windows.Foundation.EventRegistrationToken)
    def remove_key_up(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_GotFocus(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.CoreWindowEventArgs>)
    def add_got_focus(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, CoreWindowEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_GotFocus(Windows.Foundation.EventRegistrationToken)
    def remove_got_focus(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_LostFocus(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.CoreWindowEventArgs>)
    def add_lost_focus(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, CoreWindowEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_LostFocus(Windows.Foundation.EventRegistrationToken)
    def remove_lost_focus(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_TouchHitTesting(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.TouchHitTestingEventArgs>)
    def add_touch_hit_testing(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, TouchHitTestingEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_TouchHitTesting(Windows.Foundation.EventRegistrationToken)
    def remove_touch_hit_testing(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreComponentInputSource::add_ClosestInteractiveBoundsRequested(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreComponentInputSource,Windows.UI.Core.ClosestInteractiveBoundsRequestedEventArgs>)
    def add_closest_interactive_bounds_requested(self, handler: windows_foundation.TypedEventHandler[CoreComponentInputSource, ClosestInteractiveBoundsRequestedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::remove_ClosestInteractiveBoundsRequested(Windows.Foundation.EventRegistrationToken)
    def remove_closest_interactive_bounds_requested(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # System.Boolean Windows.UI.Core.CoreComponentInputSource::get_HasFocus()
    @_property
    def has_focus(self) -> bool: ...
    # System.Boolean Windows.UI.Core.CoreComponentInputSource::get_IsInputEnabled()
    @_property
    def is_input_enabled(self) -> bool: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::put_IsInputEnabled(System.Boolean)
    @is_input_enabled.setter
    def is_input_enabled(self, value: bool) -> None: ...
    # Windows.UI.Core.CoreDispatcher Windows.UI.Core.CoreComponentInputSource::get_Dispatcher()
    @_property
    def dispatcher(self) -> CoreDispatcher: ...
    # Windows.UI.Core.CoreCursor Windows.UI.Core.CoreComponentInputSource::get_PointerCursor()
    @_property
    def pointer_cursor(self) -> CoreCursor: ...
    # System.Void Windows.UI.Core.CoreComponentInputSource::put_PointerCursor(Windows.UI.Core.CoreCursor)
    @pointer_cursor.setter
    def pointer_cursor(self, value: CoreCursor) -> None: ...
    # System.Boolean Windows.UI.Core.CoreComponentInputSource::get_HasCapture()
    @_property
    def has_capture(self) -> bool: ...
    # Windows.Foundation.Point Windows.UI.Core.CoreComponentInputSource::get_PointerPosition()
    @_property
    def pointer_position(self) -> windows_foundation.Point: ...
    # Windows.System.DispatcherQueue Windows.UI.Core.CoreComponentInputSource::get_DispatcherQueue()
    @_property
    def dispatcher_queue(self) -> windows_system.DispatcherQueue: ...

@typing.final
class CoreCursor(winrt.system.Object):
    def __new__(cls: typing.Type[Self], type: CoreCursorType, id: winrt.system.UInt32) -> Self: ...
    # System.UInt32 Windows.UI.Core.CoreCursor::get_Id()
    @_property
    def id(self) -> winrt.system.UInt32: ...
    # Windows.UI.Core.CoreCursorType Windows.UI.Core.CoreCursor::get_Type()
    @_property
    def type(self) -> CoreCursorType: ...

@typing.final
class CoreDispatcher(winrt.system.Object, ICoreAcceleratorKeys):
    # System.Void Windows.UI.Core.CoreDispatcher::ProcessEvents(Windows.UI.Core.CoreProcessEventsOption)
    def process_events(self, options: CoreProcessEventsOption, /) -> None: ...
    # Windows.Foundation.IAsyncAction Windows.UI.Core.CoreDispatcher::RunAsync(Windows.UI.Core.CoreDispatcherPriority,Windows.UI.Core.DispatchedHandler)
    def run_async(self, priority: CoreDispatcherPriority, agile_callback: DispatchedHandler, /) -> windows_foundation.IAsyncAction: ...
    # Windows.Foundation.IAsyncAction Windows.UI.Core.CoreDispatcher::RunIdleAsync(Windows.UI.Core.IdleDispatchedHandler)
    def run_idle_async(self, agile_callback: IdleDispatchedHandler, /) -> windows_foundation.IAsyncAction: ...
    # System.Boolean Windows.UI.Core.CoreDispatcher::ShouldYield()
    def should_yield(self) -> bool: ...
    # System.Boolean Windows.UI.Core.CoreDispatcher::ShouldYield(Windows.UI.Core.CoreDispatcherPriority)
    def should_yield_to_priority(self, priority: CoreDispatcherPriority, /) -> bool: ...
    # System.Void Windows.UI.Core.CoreDispatcher::StopProcessEvents()
    def stop_process_events(self) -> None: ...
    # Windows.Foundation.IAsyncOperation`1<System.Boolean> Windows.UI.Core.CoreDispatcher::TryRunAsync(Windows.UI.Core.CoreDispatcherPriority,Windows.UI.Core.DispatchedHandler)
    def try_run_async(self, priority: CoreDispatcherPriority, agile_callback: DispatchedHandler, /) -> windows_foundation.IAsyncOperation[bool]: ...
    # Windows.Foundation.IAsyncOperation`1<System.Boolean> Windows.UI.Core.CoreDispatcher::TryRunIdleAsync(Windows.UI.Core.IdleDispatchedHandler)
    def try_run_idle_async(self, agile_callback: IdleDispatchedHandler, /) -> windows_foundation.IAsyncOperation[bool]: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreDispatcher::add_AcceleratorKeyActivated(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreDispatcher,Windows.UI.Core.AcceleratorKeyEventArgs>)
    def add_accelerator_key_activated(self, handler: windows_foundation.TypedEventHandler[CoreDispatcher, AcceleratorKeyEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreDispatcher::remove_AcceleratorKeyActivated(Windows.Foundation.EventRegistrationToken)
    def remove_accelerator_key_activated(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # System.Boolean Windows.UI.Core.CoreDispatcher::get_HasThreadAccess()
    @_property
    def has_thread_access(self) -> bool: ...
    # Windows.UI.Core.CoreDispatcherPriority Windows.UI.Core.CoreDispatcher::get_CurrentPriority()
    @_property
    def current_priority(self) -> CoreDispatcherPriority: ...
    # System.Void Windows.UI.Core.CoreDispatcher::put_CurrentPriority(Windows.UI.Core.CoreDispatcherPriority)
    @current_priority.setter
    def current_priority(self, value: CoreDispatcherPriority) -> None: ...

@typing.final
class CoreIndependentInputSource(winrt.system.Object, ICorePointerRedirector, ICorePointerInputSource2, ICorePointerInputSource, ICoreInputSourceBase):
    # System.Void Windows.UI.Core.CoreIndependentInputSource::ReleasePointerCapture()
    def release_pointer_capture(self) -> None: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::SetPointerCapture()
    def set_pointer_capture(self) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreIndependentInputSource::add_InputEnabled(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.InputEnabledEventArgs>)
    def add_input_enabled(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, InputEnabledEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::remove_InputEnabled(Windows.Foundation.EventRegistrationToken)
    def remove_input_enabled(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreIndependentInputSource::add_PointerCaptureLost(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_capture_lost(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::remove_PointerCaptureLost(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_capture_lost(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreIndependentInputSource::add_PointerEntered(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_entered(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::remove_PointerEntered(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_entered(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreIndependentInputSource::add_PointerExited(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_exited(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::remove_PointerExited(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_exited(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreIndependentInputSource::add_PointerMoved(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_moved(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::remove_PointerMoved(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_moved(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreIndependentInputSource::add_PointerPressed(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_pressed(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::remove_PointerPressed(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_pressed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreIndependentInputSource::add_PointerReleased(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_released(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::remove_PointerReleased(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_released(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreIndependentInputSource::add_PointerWheelChanged(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_wheel_changed(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::remove_PointerWheelChanged(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_wheel_changed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreIndependentInputSource::add_PointerRoutedAway(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.ICorePointerRedirector,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_routed_away(self, handler: windows_foundation.TypedEventHandler[ICorePointerRedirector, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::remove_PointerRoutedAway(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_routed_away(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreIndependentInputSource::add_PointerRoutedReleased(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.ICorePointerRedirector,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_routed_released(self, handler: windows_foundation.TypedEventHandler[ICorePointerRedirector, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::remove_PointerRoutedReleased(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_routed_released(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreIndependentInputSource::add_PointerRoutedTo(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.ICorePointerRedirector,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_routed_to(self, handler: windows_foundation.TypedEventHandler[ICorePointerRedirector, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::remove_PointerRoutedTo(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_routed_to(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # System.Boolean Windows.UI.Core.CoreIndependentInputSource::get_IsInputEnabled()
    @_property
    def is_input_enabled(self) -> bool: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::put_IsInputEnabled(System.Boolean)
    @is_input_enabled.setter
    def is_input_enabled(self, value: bool) -> None: ...
    # Windows.UI.Core.CoreDispatcher Windows.UI.Core.CoreIndependentInputSource::get_Dispatcher()
    @_property
    def dispatcher(self) -> CoreDispatcher: ...
    # Windows.UI.Core.CoreCursor Windows.UI.Core.CoreIndependentInputSource::get_PointerCursor()
    @_property
    def pointer_cursor(self) -> CoreCursor: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSource::put_PointerCursor(Windows.UI.Core.CoreCursor)
    @pointer_cursor.setter
    def pointer_cursor(self, value: CoreCursor) -> None: ...
    # System.Boolean Windows.UI.Core.CoreIndependentInputSource::get_HasCapture()
    @_property
    def has_capture(self) -> bool: ...
    # Windows.Foundation.Point Windows.UI.Core.CoreIndependentInputSource::get_PointerPosition()
    @_property
    def pointer_position(self) -> windows_foundation.Point: ...
    # Windows.System.DispatcherQueue Windows.UI.Core.CoreIndependentInputSource::get_DispatcherQueue()
    @_property
    def dispatcher_queue(self) -> windows_system.DispatcherQueue: ...

@typing.final
class CoreIndependentInputSourceController_Static(winrt._winrt.IInspectable_Static):
    # Windows.UI.Core.CoreIndependentInputSourceController Windows.UI.Core.CoreIndependentInputSourceController::CreateForIVisualElement(Windows.UI.Composition.IVisualElement)
    def create_for_ivisual_element(cls, visual_element: windows_ui_composition.IVisualElement, /) -> CoreIndependentInputSourceController: ...
    # Windows.UI.Core.CoreIndependentInputSourceController Windows.UI.Core.CoreIndependentInputSourceController::CreateForVisual(Windows.UI.Composition.Visual)
    def create_for_visual(cls, visual: windows_ui_composition.Visual, /) -> CoreIndependentInputSourceController: ...

@typing.final
class CoreIndependentInputSourceController(winrt.system.Object, windows_foundation.IClosable, metaclass=CoreIndependentInputSourceController_Static):
    def __enter__(self: Self) -> Self: ...
    def __exit__(self, exc_type: typing.Optional[typing.Type[BaseException]], exc_value: typing.Optional[BaseException], traceback: typing.Optional[types.TracebackType]) -> None: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSourceController::Close()
    def close(self) -> None: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSourceController::SetControlledInput(Windows.UI.Core.CoreInputDeviceTypes)
    def set_controlled_input(self, input_types: CoreInputDeviceTypes, /) -> None: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSourceController::SetControlledInput(Windows.UI.Core.CoreInputDeviceTypes,Windows.UI.Core.CoreIndependentInputFilters,Windows.UI.Core.CoreIndependentInputFilters)
    def set_controlled_input_with_filters(self, input_types: CoreInputDeviceTypes, required: CoreIndependentInputFilters, excluded: CoreIndependentInputFilters, /) -> None: ...
    # System.Boolean Windows.UI.Core.CoreIndependentInputSourceController::get_IsTransparentForUncontrolledInput()
    @_property
    def is_transparent_for_uncontrolled_input(self) -> bool: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSourceController::put_IsTransparentForUncontrolledInput(System.Boolean)
    @is_transparent_for_uncontrolled_input.setter
    def is_transparent_for_uncontrolled_input(self, value: bool) -> None: ...
    # System.Boolean Windows.UI.Core.CoreIndependentInputSourceController::get_IsPalmRejectionEnabled()
    @_property
    def is_palm_rejection_enabled(self) -> bool: ...
    # System.Void Windows.UI.Core.CoreIndependentInputSourceController::put_IsPalmRejectionEnabled(System.Boolean)
    @is_palm_rejection_enabled.setter
    def is_palm_rejection_enabled(self, value: bool) -> None: ...
    # Windows.UI.Core.CoreIndependentInputSource Windows.UI.Core.CoreIndependentInputSourceController::get_Source()
    @_property
    def source(self) -> CoreIndependentInputSource: ...

@typing.final
class CoreWindow_Static(winrt._winrt.IInspectable_Static):
    # Windows.UI.Core.CoreWindow Windows.UI.Core.CoreWindow::GetForCurrentThread()
    def get_for_current_thread(cls) -> CoreWindow: ...

@typing.final
class CoreWindow(winrt.system.Object, ICorePointerRedirector, ICoreWindow, metaclass=CoreWindow_Static):
    # System.Void Windows.UI.Core.CoreWindow::Activate()
    def activate(self) -> None: ...
    # System.Void Windows.UI.Core.CoreWindow::Close()
    def close(self) -> None: ...
    # Windows.UI.Core.CoreVirtualKeyStates Windows.UI.Core.CoreWindow::GetAsyncKeyState(Windows.System.VirtualKey)
    def get_async_key_state(self, virtual_key: windows_system.VirtualKey, /) -> CoreVirtualKeyStates: ...
    # System.String Windows.UI.Core.CoreWindow::GetCurrentKeyEventDeviceId()
    def get_current_key_event_device_id(self) -> str: ...
    # Windows.UI.Core.CoreVirtualKeyStates Windows.UI.Core.CoreWindow::GetKeyState(Windows.System.VirtualKey)
    def get_key_state(self, virtual_key: windows_system.VirtualKey, /) -> CoreVirtualKeyStates: ...
    # System.Void Windows.UI.Core.CoreWindow::ReleasePointerCapture()
    def release_pointer_capture(self) -> None: ...
    # System.Void Windows.UI.Core.CoreWindow::SetPointerCapture()
    def set_pointer_capture(self) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_Activated(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.WindowActivatedEventArgs>)
    def add_activated(self, handler: windows_foundation.TypedEventHandler[CoreWindow, WindowActivatedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_Activated(Windows.Foundation.EventRegistrationToken)
    def remove_activated(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_AutomationProviderRequested(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.AutomationProviderRequestedEventArgs>)
    def add_automation_provider_requested(self, handler: windows_foundation.TypedEventHandler[CoreWindow, AutomationProviderRequestedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_AutomationProviderRequested(Windows.Foundation.EventRegistrationToken)
    def remove_automation_provider_requested(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_CharacterReceived(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.CharacterReceivedEventArgs>)
    def add_character_received(self, handler: windows_foundation.TypedEventHandler[CoreWindow, CharacterReceivedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_CharacterReceived(Windows.Foundation.EventRegistrationToken)
    def remove_character_received(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_Closed(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.CoreWindowEventArgs>)
    def add_closed(self, handler: windows_foundation.TypedEventHandler[CoreWindow, CoreWindowEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_Closed(Windows.Foundation.EventRegistrationToken)
    def remove_closed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_InputEnabled(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.InputEnabledEventArgs>)
    def add_input_enabled(self, handler: windows_foundation.TypedEventHandler[CoreWindow, InputEnabledEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_InputEnabled(Windows.Foundation.EventRegistrationToken)
    def remove_input_enabled(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_KeyDown(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.KeyEventArgs>)
    def add_key_down(self, handler: windows_foundation.TypedEventHandler[CoreWindow, KeyEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_KeyDown(Windows.Foundation.EventRegistrationToken)
    def remove_key_down(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_KeyUp(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.KeyEventArgs>)
    def add_key_up(self, handler: windows_foundation.TypedEventHandler[CoreWindow, KeyEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_KeyUp(Windows.Foundation.EventRegistrationToken)
    def remove_key_up(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_PointerCaptureLost(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_capture_lost(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_PointerCaptureLost(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_capture_lost(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_PointerEntered(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_entered(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_PointerEntered(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_entered(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_PointerExited(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_exited(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_PointerExited(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_exited(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_PointerMoved(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_moved(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_PointerMoved(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_moved(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_PointerPressed(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_pressed(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_PointerPressed(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_pressed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_PointerReleased(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_released(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_PointerReleased(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_released(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_PointerWheelChanged(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_wheel_changed(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_PointerWheelChanged(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_wheel_changed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_SizeChanged(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.WindowSizeChangedEventArgs>)
    def add_size_changed(self, handler: windows_foundation.TypedEventHandler[CoreWindow, WindowSizeChangedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_SizeChanged(Windows.Foundation.EventRegistrationToken)
    def remove_size_changed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_TouchHitTesting(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.TouchHitTestingEventArgs>)
    def add_touch_hit_testing(self, handler: windows_foundation.TypedEventHandler[CoreWindow, TouchHitTestingEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_TouchHitTesting(Windows.Foundation.EventRegistrationToken)
    def remove_touch_hit_testing(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_VisibilityChanged(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.VisibilityChangedEventArgs>)
    def add_visibility_changed(self, handler: windows_foundation.TypedEventHandler[CoreWindow, VisibilityChangedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_VisibilityChanged(Windows.Foundation.EventRegistrationToken)
    def remove_visibility_changed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_PointerRoutedAway(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.ICorePointerRedirector,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_routed_away(self, handler: windows_foundation.TypedEventHandler[ICorePointerRedirector, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_PointerRoutedAway(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_routed_away(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_PointerRoutedReleased(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.ICorePointerRedirector,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_routed_released(self, handler: windows_foundation.TypedEventHandler[ICorePointerRedirector, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_PointerRoutedReleased(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_routed_released(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_PointerRoutedTo(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.ICorePointerRedirector,Windows.UI.Core.PointerEventArgs>)
    def add_pointer_routed_to(self, handler: windows_foundation.TypedEventHandler[ICorePointerRedirector, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_PointerRoutedTo(Windows.Foundation.EventRegistrationToken)
    def remove_pointer_routed_to(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_ClosestInteractiveBoundsRequested(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.ClosestInteractiveBoundsRequestedEventArgs>)
    def add_closest_interactive_bounds_requested(self, handler: windows_foundation.TypedEventHandler[CoreWindow, ClosestInteractiveBoundsRequestedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_ClosestInteractiveBoundsRequested(Windows.Foundation.EventRegistrationToken)
    def remove_closest_interactive_bounds_requested(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_ResizeCompleted(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,System.Object>)
    def add_resize_completed(self, handler: windows_foundation.TypedEventHandler[CoreWindow, winrt.system.Object], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_ResizeCompleted(Windows.Foundation.EventRegistrationToken)
    def remove_resize_completed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindow::add_ResizeStarted(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,System.Object>)
    def add_resize_started(self, handler: windows_foundation.TypedEventHandler[CoreWindow, winrt.system.Object], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindow::remove_ResizeStarted(Windows.Foundation.EventRegistrationToken)
    def remove_resize_started(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.Point Windows.UI.Core.CoreWindow::get_PointerPosition()
    @_property
    def pointer_position(self) -> windows_foundation.Point: ...
    # System.Void Windows.UI.Core.CoreWindow::put_PointerPosition(Windows.Foundation.Point)
    @pointer_position.setter
    def pointer_position(self, value: typing.Union[windows_foundation.Point, typing.Tuple[winrt.system.Single, winrt.system.Single]]) -> None: ...
    # Windows.UI.Core.CoreCursor Windows.UI.Core.CoreWindow::get_PointerCursor()
    @_property
    def pointer_cursor(self) -> CoreCursor: ...
    # System.Void Windows.UI.Core.CoreWindow::put_PointerCursor(Windows.UI.Core.CoreCursor)
    @pointer_cursor.setter
    def pointer_cursor(self, value: CoreCursor) -> None: ...
    # Windows.UI.Core.CoreWindowFlowDirection Windows.UI.Core.CoreWindow::get_FlowDirection()
    @_property
    def flow_direction(self) -> CoreWindowFlowDirection: ...
    # System.Void Windows.UI.Core.CoreWindow::put_FlowDirection(Windows.UI.Core.CoreWindowFlowDirection)
    @flow_direction.setter
    def flow_direction(self, value: CoreWindowFlowDirection) -> None: ...
    # System.Boolean Windows.UI.Core.CoreWindow::get_IsInputEnabled()
    @_property
    def is_input_enabled(self) -> bool: ...
    # System.Void Windows.UI.Core.CoreWindow::put_IsInputEnabled(System.Boolean)
    @is_input_enabled.setter
    def is_input_enabled(self, value: bool) -> None: ...
    # Windows.UI.Core.CoreDispatcher Windows.UI.Core.CoreWindow::get_Dispatcher()
    @_property
    def dispatcher(self) -> CoreDispatcher: ...
    # System.Object Windows.UI.Core.CoreWindow::get_AutomationHostProvider()
    @_property
    def automation_host_provider(self) -> winrt.system.Object: ...
    # Windows.Foundation.Rect Windows.UI.Core.CoreWindow::get_Bounds()
    @_property
    def bounds(self) -> windows_foundation.Rect: ...
    # Windows.Foundation.Collections.IPropertySet Windows.UI.Core.CoreWindow::get_CustomProperties()
    @_property
    def custom_properties(self) -> windows_foundation_collections.IPropertySet: ...
    # System.Boolean Windows.UI.Core.CoreWindow::get_Visible()
    @_property
    def visible(self) -> bool: ...
    # Windows.UI.Core.CoreWindowActivationMode Windows.UI.Core.CoreWindow::get_ActivationMode()
    @_property
    def activation_mode(self) -> CoreWindowActivationMode: ...
    # Windows.System.DispatcherQueue Windows.UI.Core.CoreWindow::get_DispatcherQueue()
    @_property
    def dispatcher_queue(self) -> windows_system.DispatcherQueue: ...
    # Windows.UI.UIContext Windows.UI.Core.CoreWindow::get_UIContext()
    @_property
    def ui_context(self) -> windows_ui.UIContext: ...

@typing.final
class CoreWindowDialog(winrt.system.Object):
    @typing.overload
    def __new__(cls: typing.Type[Self], title: str) -> Self: ...
    @typing.overload
    def __new__(cls: typing.Type[Self]) -> Self: ...
    # Windows.Foundation.IAsyncOperation`1<Windows.UI.Popups.IUICommand> Windows.UI.Core.CoreWindowDialog::ShowAsync()
    def show_async(self) -> windows_foundation.IAsyncOperation[windows_ui_popups.IUICommand]: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindowDialog::add_Showing(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.CoreWindowPopupShowingEventArgs>)
    def add_showing(self, handler: windows_foundation.TypedEventHandler[CoreWindow, CoreWindowPopupShowingEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindowDialog::remove_Showing(Windows.Foundation.EventRegistrationToken)
    def remove_showing(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # System.String Windows.UI.Core.CoreWindowDialog::get_Title()
    @_property
    def title(self) -> str: ...
    # System.Void Windows.UI.Core.CoreWindowDialog::put_Title(System.String)
    @title.setter
    def title(self, value: str) -> None: ...
    # System.Int32 Windows.UI.Core.CoreWindowDialog::get_IsInteractionDelayed()
    @_property
    def is_interaction_delayed(self) -> winrt.system.Int32: ...
    # System.Void Windows.UI.Core.CoreWindowDialog::put_IsInteractionDelayed(System.Int32)
    @is_interaction_delayed.setter
    def is_interaction_delayed(self, value: winrt.system.Int32) -> None: ...
    # System.UInt32 Windows.UI.Core.CoreWindowDialog::get_DefaultCommandIndex()
    @_property
    def default_command_index(self) -> winrt.system.UInt32: ...
    # System.Void Windows.UI.Core.CoreWindowDialog::put_DefaultCommandIndex(System.UInt32)
    @default_command_index.setter
    def default_command_index(self, value: winrt.system.UInt32) -> None: ...
    # System.UInt32 Windows.UI.Core.CoreWindowDialog::get_CancelCommandIndex()
    @_property
    def cancel_command_index(self) -> winrt.system.UInt32: ...
    # System.Void Windows.UI.Core.CoreWindowDialog::put_CancelCommandIndex(System.UInt32)
    @cancel_command_index.setter
    def cancel_command_index(self, value: winrt.system.UInt32) -> None: ...
    # Windows.UI.Popups.UICommandInvokedHandler Windows.UI.Core.CoreWindowDialog::get_BackButtonCommand()
    @_property
    def back_button_command(self) -> windows_ui_popups.UICommandInvokedHandler: ...
    # System.Void Windows.UI.Core.CoreWindowDialog::put_BackButtonCommand(Windows.UI.Popups.UICommandInvokedHandler)
    @back_button_command.setter
    def back_button_command(self, value: windows_ui_popups.UICommandInvokedHandler) -> None: ...
    # Windows.Foundation.Collections.IVector`1<Windows.UI.Popups.IUICommand> Windows.UI.Core.CoreWindowDialog::get_Commands()
    @_property
    def commands(self) -> typing.MutableSequence[windows_ui_popups.IUICommand]: ...
    # Windows.Foundation.Size Windows.UI.Core.CoreWindowDialog::get_MaxSize()
    @_property
    def max_size(self) -> windows_foundation.Size: ...
    # Windows.Foundation.Size Windows.UI.Core.CoreWindowDialog::get_MinSize()
    @_property
    def min_size(self) -> windows_foundation.Size: ...

@typing.final
class CoreWindowEventArgs(winrt.system.Object, ICoreWindowEventArgs):
    # System.Boolean Windows.UI.Core.CoreWindowEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.CoreWindowEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...

@typing.final
class CoreWindowFlyout(winrt.system.Object):
    @typing.overload
    def __new__(cls: typing.Type[Self], position: typing.Union[windows_foundation.Point, typing.Tuple[winrt.system.Single, winrt.system.Single]]) -> Self: ...
    @typing.overload
    def __new__(cls: typing.Type[Self], position: typing.Union[windows_foundation.Point, typing.Tuple[winrt.system.Single, winrt.system.Single]], title: str) -> Self: ...
    # Windows.Foundation.IAsyncOperation`1<Windows.UI.Popups.IUICommand> Windows.UI.Core.CoreWindowFlyout::ShowAsync()
    def show_async(self) -> windows_foundation.IAsyncOperation[windows_ui_popups.IUICommand]: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.CoreWindowFlyout::add_Showing(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.CoreWindowPopupShowingEventArgs>)
    def add_showing(self, handler: windows_foundation.TypedEventHandler[CoreWindow, CoreWindowPopupShowingEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.CoreWindowFlyout::remove_Showing(Windows.Foundation.EventRegistrationToken)
    def remove_showing(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # System.String Windows.UI.Core.CoreWindowFlyout::get_Title()
    @_property
    def title(self) -> str: ...
    # System.Void Windows.UI.Core.CoreWindowFlyout::put_Title(System.String)
    @title.setter
    def title(self, value: str) -> None: ...
    # System.Int32 Windows.UI.Core.CoreWindowFlyout::get_IsInteractionDelayed()
    @_property
    def is_interaction_delayed(self) -> winrt.system.Int32: ...
    # System.Void Windows.UI.Core.CoreWindowFlyout::put_IsInteractionDelayed(System.Int32)
    @is_interaction_delayed.setter
    def is_interaction_delayed(self, value: winrt.system.Int32) -> None: ...
    # System.UInt32 Windows.UI.Core.CoreWindowFlyout::get_DefaultCommandIndex()
    @_property
    def default_command_index(self) -> winrt.system.UInt32: ...
    # System.Void Windows.UI.Core.CoreWindowFlyout::put_DefaultCommandIndex(System.UInt32)
    @default_command_index.setter
    def default_command_index(self, value: winrt.system.UInt32) -> None: ...
    # Windows.UI.Popups.UICommandInvokedHandler Windows.UI.Core.CoreWindowFlyout::get_BackButtonCommand()
    @_property
    def back_button_command(self) -> windows_ui_popups.UICommandInvokedHandler: ...
    # System.Void Windows.UI.Core.CoreWindowFlyout::put_BackButtonCommand(Windows.UI.Popups.UICommandInvokedHandler)
    @back_button_command.setter
    def back_button_command(self, value: windows_ui_popups.UICommandInvokedHandler) -> None: ...
    # Windows.Foundation.Collections.IVector`1<Windows.UI.Popups.IUICommand> Windows.UI.Core.CoreWindowFlyout::get_Commands()
    @_property
    def commands(self) -> typing.MutableSequence[windows_ui_popups.IUICommand]: ...
    # Windows.Foundation.Size Windows.UI.Core.CoreWindowFlyout::get_MaxSize()
    @_property
    def max_size(self) -> windows_foundation.Size: ...
    # Windows.Foundation.Size Windows.UI.Core.CoreWindowFlyout::get_MinSize()
    @_property
    def min_size(self) -> windows_foundation.Size: ...

@typing.final
class CoreWindowPopupShowingEventArgs(winrt.system.Object):
    # System.Void Windows.UI.Core.CoreWindowPopupShowingEventArgs::SetDesiredSize(Windows.Foundation.Size)
    def set_desired_size(self, value: typing.Union[windows_foundation.Size, typing.Tuple[winrt.system.Single, winrt.system.Single]], /) -> None: ...

@typing.final
class CoreWindowResizeManager_Static(winrt._winrt.IInspectable_Static):
    # Windows.UI.Core.CoreWindowResizeManager Windows.UI.Core.CoreWindowResizeManager::GetForCurrentView()
    def get_for_current_view(cls) -> CoreWindowResizeManager: ...

@typing.final
class CoreWindowResizeManager(winrt.system.Object, metaclass=CoreWindowResizeManager_Static):
    # System.Void Windows.UI.Core.CoreWindowResizeManager::NotifyLayoutCompleted()
    def notify_layout_completed(self) -> None: ...
    # System.Boolean Windows.UI.Core.CoreWindowResizeManager::get_ShouldWaitForLayoutCompletion()
    @_property
    def should_wait_for_layout_completion(self) -> bool: ...
    # System.Void Windows.UI.Core.CoreWindowResizeManager::put_ShouldWaitForLayoutCompletion(System.Boolean)
    @should_wait_for_layout_completion.setter
    def should_wait_for_layout_completion(self, value: bool) -> None: ...

@typing.final
class IdleDispatchedHandlerArgs(winrt.system.Object):
    # System.Boolean Windows.UI.Core.IdleDispatchedHandlerArgs::get_IsDispatcherIdle()
    @_property
    def is_dispatcher_idle(self) -> bool: ...

@typing.final
class InputEnabledEventArgs(winrt.system.Object, ICoreWindowEventArgs):
    # System.Boolean Windows.UI.Core.InputEnabledEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.InputEnabledEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...
    # System.Boolean Windows.UI.Core.InputEnabledEventArgs::get_InputEnabled()
    @_property
    def input_enabled(self) -> bool: ...

@typing.final
class KeyEventArgs(winrt.system.Object, ICoreWindowEventArgs):
    # System.Boolean Windows.UI.Core.KeyEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.KeyEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...
    # Windows.UI.Core.CorePhysicalKeyStatus Windows.UI.Core.KeyEventArgs::get_KeyStatus()
    @_property
    def key_status(self) -> CorePhysicalKeyStatus: ...
    # Windows.System.VirtualKey Windows.UI.Core.KeyEventArgs::get_VirtualKey()
    @_property
    def virtual_key(self) -> windows_system.VirtualKey: ...
    # System.String Windows.UI.Core.KeyEventArgs::get_DeviceId()
    @_property
    def device_id(self) -> str: ...

@typing.final
class PointerEventArgs(winrt.system.Object, ICoreWindowEventArgs):
    # Windows.Foundation.Collections.IVector`1<Windows.UI.Input.PointerPoint> Windows.UI.Core.PointerEventArgs::GetIntermediatePoints()
    def get_intermediate_points(self) -> typing.MutableSequence[windows_ui_input.PointerPoint]: ...
    # System.Boolean Windows.UI.Core.PointerEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.PointerEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...
    # Windows.UI.Input.PointerPoint Windows.UI.Core.PointerEventArgs::get_CurrentPoint()
    @_property
    def current_point(self) -> windows_ui_input.PointerPoint: ...
    # Windows.System.VirtualKeyModifiers Windows.UI.Core.PointerEventArgs::get_KeyModifiers()
    @_property
    def key_modifiers(self) -> windows_system.VirtualKeyModifiers: ...

@typing.final
class SystemNavigationManager_Static(winrt._winrt.IInspectable_Static):
    # Windows.UI.Core.SystemNavigationManager Windows.UI.Core.SystemNavigationManager::GetForCurrentView()
    def get_for_current_view(cls) -> SystemNavigationManager: ...

@typing.final
class SystemNavigationManager(winrt.system.Object, metaclass=SystemNavigationManager_Static):
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.SystemNavigationManager::add_BackRequested(Windows.Foundation.EventHandler`1<Windows.UI.Core.BackRequestedEventArgs>)
    def add_back_requested(self, handler: windows_foundation.EventHandler[BackRequestedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.SystemNavigationManager::remove_BackRequested(Windows.Foundation.EventRegistrationToken)
    def remove_back_requested(self, token: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.UI.Core.AppViewBackButtonVisibility Windows.UI.Core.SystemNavigationManager::get_AppViewBackButtonVisibility()
    @_property
    def app_view_back_button_visibility(self) -> AppViewBackButtonVisibility: ...
    # System.Void Windows.UI.Core.SystemNavigationManager::put_AppViewBackButtonVisibility(Windows.UI.Core.AppViewBackButtonVisibility)
    @app_view_back_button_visibility.setter
    def app_view_back_button_visibility(self, value: AppViewBackButtonVisibility) -> None: ...

@typing.final
class TouchHitTestingEventArgs(winrt.system.Object, ICoreWindowEventArgs):
    # Windows.UI.Core.CoreProximityEvaluation Windows.UI.Core.TouchHitTestingEventArgs::EvaluateProximity(Windows.Foundation.Point[])
    def evaluate_proximity_to_polygon(self, control_vertices: typing.Union[winrt.system.Array[windows_foundation.Point], winrt.system.ReadableBuffer], /) -> CoreProximityEvaluation: ...
    # Windows.UI.Core.CoreProximityEvaluation Windows.UI.Core.TouchHitTestingEventArgs::EvaluateProximity(Windows.Foundation.Rect)
    def evaluate_proximity_to_rect(self, control_bounding_box: typing.Union[windows_foundation.Rect, typing.Tuple[winrt.system.Single, winrt.system.Single, winrt.system.Single, winrt.system.Single]], /) -> CoreProximityEvaluation: ...
    # System.Boolean Windows.UI.Core.TouchHitTestingEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.TouchHitTestingEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...
    # Windows.UI.Core.CoreProximityEvaluation Windows.UI.Core.TouchHitTestingEventArgs::get_ProximityEvaluation()
    @_property
    def proximity_evaluation(self) -> CoreProximityEvaluation: ...
    # System.Void Windows.UI.Core.TouchHitTestingEventArgs::put_ProximityEvaluation(Windows.UI.Core.CoreProximityEvaluation)
    @proximity_evaluation.setter
    def proximity_evaluation(self, value: typing.Union[CoreProximityEvaluation, typing.Tuple[winrt.system.Int32, typing.Union[windows_foundation.Point, typing.Tuple[winrt.system.Single, winrt.system.Single]]]]) -> None: ...
    # Windows.Foundation.Rect Windows.UI.Core.TouchHitTestingEventArgs::get_BoundingBox()
    @_property
    def bounding_box(self) -> windows_foundation.Rect: ...
    # Windows.Foundation.Point Windows.UI.Core.TouchHitTestingEventArgs::get_Point()
    @_property
    def point(self) -> windows_foundation.Point: ...

@typing.final
class VisibilityChangedEventArgs(winrt.system.Object, ICoreWindowEventArgs):
    # System.Boolean Windows.UI.Core.VisibilityChangedEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.VisibilityChangedEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...
    # System.Boolean Windows.UI.Core.VisibilityChangedEventArgs::get_Visible()
    @_property
    def visible(self) -> bool: ...

@typing.final
class WindowActivatedEventArgs(winrt.system.Object, ICoreWindowEventArgs):
    # System.Boolean Windows.UI.Core.WindowActivatedEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.WindowActivatedEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...
    # Windows.UI.Core.CoreWindowActivationState Windows.UI.Core.WindowActivatedEventArgs::get_WindowActivationState()
    @_property
    def window_activation_state(self) -> CoreWindowActivationState: ...

@typing.final
class WindowSizeChangedEventArgs(winrt.system.Object, ICoreWindowEventArgs):
    # System.Boolean Windows.UI.Core.WindowSizeChangedEventArgs::get_Handled()
    @_property
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.WindowSizeChangedEventArgs::put_Handled(System.Boolean)
    @handled.setter
    def handled(self, value: bool) -> None: ...
    # Windows.Foundation.Size Windows.UI.Core.WindowSizeChangedEventArgs::get_Size()
    @_property
    def size(self) -> windows_foundation.Size: ...

@typing.final
class _ICoreAcceleratorKeys: ...

class ICoreAcceleratorKeys(winrt._winrt.IInspectable):
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreAcceleratorKeys::add_AcceleratorKeyActivated(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreDispatcher,Windows.UI.Core.AcceleratorKeyEventArgs>)
    @abstractmethod
    def add_accelerator_key_activated(self, handler: windows_foundation.TypedEventHandler[CoreDispatcher, AcceleratorKeyEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreAcceleratorKeys::remove_AcceleratorKeyActivated(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_accelerator_key_activated(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...

@typing.final
class _ICoreInputSourceBase: ...

class ICoreInputSourceBase(winrt._winrt.IInspectable):
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreInputSourceBase::add_InputEnabled(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.InputEnabledEventArgs>)
    @abstractmethod
    def add_input_enabled(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, InputEnabledEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreInputSourceBase::remove_InputEnabled(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_input_enabled(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.UI.Core.CoreDispatcher Windows.UI.Core.ICoreInputSourceBase::get_Dispatcher()
    @_property
    @abstractmethod
    def dispatcher(self) -> CoreDispatcher: ...
    # System.Boolean Windows.UI.Core.ICoreInputSourceBase::get_IsInputEnabled()
    @_property
    @abstractmethod
    def is_input_enabled(self) -> bool: ...
    # System.Void Windows.UI.Core.ICoreInputSourceBase::put_IsInputEnabled(System.Boolean)
    @is_input_enabled.setter
    @abstractmethod
    def is_input_enabled(self, value: bool) -> None: ...

@typing.final
class _ICorePointerInputSource: ...

class ICorePointerInputSource(winrt._winrt.IInspectable):
    # System.Void Windows.UI.Core.ICorePointerInputSource::ReleasePointerCapture()
    @abstractmethod
    def release_pointer_capture(self) -> None: ...
    # System.Void Windows.UI.Core.ICorePointerInputSource::SetPointerCapture()
    @abstractmethod
    def set_pointer_capture(self) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICorePointerInputSource::add_PointerCaptureLost(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_capture_lost(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICorePointerInputSource::remove_PointerCaptureLost(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_capture_lost(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICorePointerInputSource::add_PointerEntered(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_entered(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICorePointerInputSource::remove_PointerEntered(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_entered(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICorePointerInputSource::add_PointerExited(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_exited(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICorePointerInputSource::remove_PointerExited(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_exited(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICorePointerInputSource::add_PointerMoved(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_moved(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICorePointerInputSource::remove_PointerMoved(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_moved(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICorePointerInputSource::add_PointerPressed(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_pressed(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICorePointerInputSource::remove_PointerPressed(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_pressed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICorePointerInputSource::add_PointerReleased(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_released(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICorePointerInputSource::remove_PointerReleased(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_released(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICorePointerInputSource::add_PointerWheelChanged(Windows.Foundation.TypedEventHandler`2<System.Object,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_wheel_changed(self, handler: windows_foundation.TypedEventHandler[winrt.system.Object, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICorePointerInputSource::remove_PointerWheelChanged(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_wheel_changed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # System.Boolean Windows.UI.Core.ICorePointerInputSource::get_HasCapture()
    @_property
    @abstractmethod
    def has_capture(self) -> bool: ...
    # Windows.UI.Core.CoreCursor Windows.UI.Core.ICorePointerInputSource::get_PointerCursor()
    @_property
    @abstractmethod
    def pointer_cursor(self) -> CoreCursor: ...
    # System.Void Windows.UI.Core.ICorePointerInputSource::put_PointerCursor(Windows.UI.Core.CoreCursor)
    @pointer_cursor.setter
    @abstractmethod
    def pointer_cursor(self, value: CoreCursor) -> None: ...
    # Windows.Foundation.Point Windows.UI.Core.ICorePointerInputSource::get_PointerPosition()
    @_property
    @abstractmethod
    def pointer_position(self) -> windows_foundation.Point: ...

@typing.final
class _ICorePointerInputSource2: ...

class ICorePointerInputSource2(ICorePointerInputSource, winrt._winrt.IInspectable):
    # Windows.System.DispatcherQueue Windows.UI.Core.ICorePointerInputSource2::get_DispatcherQueue()
    @_property
    @abstractmethod
    def dispatcher_queue(self) -> windows_system.DispatcherQueue: ...

@typing.final
class _ICorePointerRedirector: ...

class ICorePointerRedirector(winrt._winrt.IInspectable):
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICorePointerRedirector::add_PointerRoutedAway(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.ICorePointerRedirector,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_routed_away(self, handler: windows_foundation.TypedEventHandler[ICorePointerRedirector, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICorePointerRedirector::remove_PointerRoutedAway(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_routed_away(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICorePointerRedirector::add_PointerRoutedReleased(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.ICorePointerRedirector,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_routed_released(self, handler: windows_foundation.TypedEventHandler[ICorePointerRedirector, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICorePointerRedirector::remove_PointerRoutedReleased(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_routed_released(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICorePointerRedirector::add_PointerRoutedTo(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.ICorePointerRedirector,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_routed_to(self, handler: windows_foundation.TypedEventHandler[ICorePointerRedirector, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICorePointerRedirector::remove_PointerRoutedTo(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_routed_to(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...

@typing.final
class _ICoreWindow: ...

class ICoreWindow(winrt._winrt.IInspectable):
    # System.Void Windows.UI.Core.ICoreWindow::Activate()
    @abstractmethod
    def activate(self) -> None: ...
    # System.Void Windows.UI.Core.ICoreWindow::Close()
    @abstractmethod
    def close(self) -> None: ...
    # Windows.UI.Core.CoreVirtualKeyStates Windows.UI.Core.ICoreWindow::GetAsyncKeyState(Windows.System.VirtualKey)
    @abstractmethod
    def get_async_key_state(self, virtual_key: windows_system.VirtualKey, /) -> CoreVirtualKeyStates: ...
    # Windows.UI.Core.CoreVirtualKeyStates Windows.UI.Core.ICoreWindow::GetKeyState(Windows.System.VirtualKey)
    @abstractmethod
    def get_key_state(self, virtual_key: windows_system.VirtualKey, /) -> CoreVirtualKeyStates: ...
    # System.Void Windows.UI.Core.ICoreWindow::ReleasePointerCapture()
    @abstractmethod
    def release_pointer_capture(self) -> None: ...
    # System.Void Windows.UI.Core.ICoreWindow::SetPointerCapture()
    @abstractmethod
    def set_pointer_capture(self) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_Activated(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.WindowActivatedEventArgs>)
    @abstractmethod
    def add_activated(self, handler: windows_foundation.TypedEventHandler[CoreWindow, WindowActivatedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_Activated(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_activated(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_AutomationProviderRequested(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.AutomationProviderRequestedEventArgs>)
    @abstractmethod
    def add_automation_provider_requested(self, handler: windows_foundation.TypedEventHandler[CoreWindow, AutomationProviderRequestedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_AutomationProviderRequested(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_automation_provider_requested(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_CharacterReceived(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.CharacterReceivedEventArgs>)
    @abstractmethod
    def add_character_received(self, handler: windows_foundation.TypedEventHandler[CoreWindow, CharacterReceivedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_CharacterReceived(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_character_received(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_Closed(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.CoreWindowEventArgs>)
    @abstractmethod
    def add_closed(self, handler: windows_foundation.TypedEventHandler[CoreWindow, CoreWindowEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_Closed(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_closed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_InputEnabled(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.InputEnabledEventArgs>)
    @abstractmethod
    def add_input_enabled(self, handler: windows_foundation.TypedEventHandler[CoreWindow, InputEnabledEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_InputEnabled(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_input_enabled(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_KeyDown(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.KeyEventArgs>)
    @abstractmethod
    def add_key_down(self, handler: windows_foundation.TypedEventHandler[CoreWindow, KeyEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_KeyDown(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_key_down(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_KeyUp(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.KeyEventArgs>)
    @abstractmethod
    def add_key_up(self, handler: windows_foundation.TypedEventHandler[CoreWindow, KeyEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_KeyUp(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_key_up(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_PointerCaptureLost(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_capture_lost(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_PointerCaptureLost(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_capture_lost(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_PointerEntered(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_entered(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_PointerEntered(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_entered(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_PointerExited(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_exited(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_PointerExited(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_exited(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_PointerMoved(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_moved(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_PointerMoved(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_moved(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_PointerPressed(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_pressed(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_PointerPressed(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_pressed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_PointerReleased(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_released(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_PointerReleased(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_released(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_PointerWheelChanged(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.PointerEventArgs>)
    @abstractmethod
    def add_pointer_wheel_changed(self, handler: windows_foundation.TypedEventHandler[CoreWindow, PointerEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_PointerWheelChanged(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_pointer_wheel_changed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_SizeChanged(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.WindowSizeChangedEventArgs>)
    @abstractmethod
    def add_size_changed(self, handler: windows_foundation.TypedEventHandler[CoreWindow, WindowSizeChangedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_SizeChanged(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_size_changed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_TouchHitTesting(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.TouchHitTestingEventArgs>)
    @abstractmethod
    def add_touch_hit_testing(self, handler: windows_foundation.TypedEventHandler[CoreWindow, TouchHitTestingEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_TouchHitTesting(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_touch_hit_testing(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # Windows.Foundation.EventRegistrationToken Windows.UI.Core.ICoreWindow::add_VisibilityChanged(Windows.Foundation.TypedEventHandler`2<Windows.UI.Core.CoreWindow,Windows.UI.Core.VisibilityChangedEventArgs>)
    @abstractmethod
    def add_visibility_changed(self, handler: windows_foundation.TypedEventHandler[CoreWindow, VisibilityChangedEventArgs], /) -> windows_foundation.EventRegistrationToken: ...
    # System.Void Windows.UI.Core.ICoreWindow::remove_VisibilityChanged(Windows.Foundation.EventRegistrationToken)
    @abstractmethod
    def remove_visibility_changed(self, cookie: typing.Union[windows_foundation.EventRegistrationToken, typing.Tuple[winrt.system.Int64]], /) -> None: ...
    # System.Object Windows.UI.Core.ICoreWindow::get_AutomationHostProvider()
    @_property
    @abstractmethod
    def automation_host_provider(self) -> winrt.system.Object: ...
    # Windows.Foundation.Rect Windows.UI.Core.ICoreWindow::get_Bounds()
    @_property
    @abstractmethod
    def bounds(self) -> windows_foundation.Rect: ...
    # Windows.Foundation.Collections.IPropertySet Windows.UI.Core.ICoreWindow::get_CustomProperties()
    @_property
    @abstractmethod
    def custom_properties(self) -> windows_foundation_collections.IPropertySet: ...
    # Windows.UI.Core.CoreDispatcher Windows.UI.Core.ICoreWindow::get_Dispatcher()
    @_property
    @abstractmethod
    def dispatcher(self) -> CoreDispatcher: ...
    # Windows.UI.Core.CoreWindowFlowDirection Windows.UI.Core.ICoreWindow::get_FlowDirection()
    @_property
    @abstractmethod
    def flow_direction(self) -> CoreWindowFlowDirection: ...
    # System.Void Windows.UI.Core.ICoreWindow::put_FlowDirection(Windows.UI.Core.CoreWindowFlowDirection)
    @flow_direction.setter
    @abstractmethod
    def flow_direction(self, value: CoreWindowFlowDirection) -> None: ...
    # System.Boolean Windows.UI.Core.ICoreWindow::get_IsInputEnabled()
    @_property
    @abstractmethod
    def is_input_enabled(self) -> bool: ...
    # System.Void Windows.UI.Core.ICoreWindow::put_IsInputEnabled(System.Boolean)
    @is_input_enabled.setter
    @abstractmethod
    def is_input_enabled(self, value: bool) -> None: ...
    # Windows.UI.Core.CoreCursor Windows.UI.Core.ICoreWindow::get_PointerCursor()
    @_property
    @abstractmethod
    def pointer_cursor(self) -> CoreCursor: ...
    # System.Void Windows.UI.Core.ICoreWindow::put_PointerCursor(Windows.UI.Core.CoreCursor)
    @pointer_cursor.setter
    @abstractmethod
    def pointer_cursor(self, value: CoreCursor) -> None: ...
    # Windows.Foundation.Point Windows.UI.Core.ICoreWindow::get_PointerPosition()
    @_property
    @abstractmethod
    def pointer_position(self) -> windows_foundation.Point: ...
    # System.Boolean Windows.UI.Core.ICoreWindow::get_Visible()
    @_property
    @abstractmethod
    def visible(self) -> bool: ...

@typing.final
class _ICoreWindowEventArgs: ...

class ICoreWindowEventArgs(winrt._winrt.IInspectable):
    # System.Boolean Windows.UI.Core.ICoreWindowEventArgs::get_Handled()
    @_property
    @abstractmethod
    def handled(self) -> bool: ...
    # System.Void Windows.UI.Core.ICoreWindowEventArgs::put_Handled(System.Boolean)
    @handled.setter
    @abstractmethod
    def handled(self, value: bool) -> None: ...

@typing.final
class _IInitializeWithCoreWindow: ...

class IInitializeWithCoreWindow(winrt._winrt.IInspectable):
    # System.Void Windows.UI.Core.IInitializeWithCoreWindow::Initialize(Windows.UI.Core.CoreWindow)
    @abstractmethod
    def initialize(self, window: CoreWindow, /) -> None: ...

